'use strict';

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _isNil = require('lodash/isNil');

var _isNil2 = _interopRequireDefault(_isNil);

var _styles = require('./styles.scss');

var _styles2 = _interopRequireDefault(_styles);

var _constants = require('../../util/constants');

var _joinObjects2 = require('../../util/join-objects');

var _joinObjects3 = _interopRequireDefault(_joinObjects2);

var _createHigherOrderComponent = require('../../util/create-higher-order-component');

var _createHigherOrderComponent2 = _interopRequireDefault(_createHigherOrderComponent);

var _visibility = require('../../general/visibility');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CheckedLabel = (0, _createHigherOrderComponent2.default)({
  displayName: 'CheckedLabel',
  mapPropsToClassNames: function mapPropsToClassNames() {
    return (0, _joinObjects3.default)(_styles2.default, { 'switch-active': true });
  }
});

var UncheckedLabel = (0, _createHigherOrderComponent2.default)({
  displayName: 'UncheckedLabel',
  mapPropsToClassNames: function mapPropsToClassNames() {
    return (0, _joinObjects3.default)(_styles2.default, { 'switch-inactive': true });
  }
});

var Switch = function (_Component) {
  (0, _inherits3.default)(Switch, _Component);

  function Switch() {
    var _Object$getPrototypeO;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, Switch);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_Object$getPrototypeO = (0, _getPrototypeOf2.default)(Switch)).call.apply(_Object$getPrototypeO, [this].concat(args))), _this), _this.handleInputRef = function (inputRef) {
      return _this.inputRef = inputRef;
    }, _this.handleLabelClick = function (event) {
      var _this$props = _this.props;
      var checked = _this$props.checked;
      var id = _this$props.id;
      var onChange = _this$props.onChange;

      if (!id) {
        if ((0, _isNil2.default)(checked)) {
          _this.inputRef.click();
        } else if (onChange) {
          onChange(event);
        }
      }
    }, _this.handleInputChange = function (event) {
      var _this$props2 = _this.props;
      var id = _this$props2.id;
      var onChange = _this$props2.onChange;

      if (id && onChange) {
        onChange(event);
      }
    }, _this.getClassNames = function () {
      var size = _this.props.size;

      return (0, _joinObjects3.default)(_styles2.default, (0, _defineProperty3.default)({
        switch: true
      }, size, _constants.COMPONENT_SIZES.includes(size)));
    }, _this.getInputClassNames = function () {
      return (0, _joinObjects3.default)(_styles2.default, { 'switch-input': true });
    }, _this.getPaddleClassNames = function () {
      return (0, _joinObjects3.default)(_styles2.default, { 'switch-paddle': true });
    }, _this.getCheckedLabelClassNames = function () {
      return (0, _joinObjects3.default)(_styles2.default, { 'switch-active': true });
    }, _this.getUncheckedLabelClassNames = function () {
      return (0, _joinObjects3.default)(_styles2.default, { 'switch-inactive': true });
    }, _this.renderPaddleLabel = function () {
      var paddleLabel = _this.props.paddleLabel;

      var result = null;

      if (paddleLabel) {
        result = _react2.default.createElement(
          _visibility.ShowOnlyForScreenReader,
          null,
          paddleLabel
        );
      }

      return result;
    }, _this.renderCheckedLabel = function () {
      var checkedLabel = _this.props.checkedLabel;

      var result = null;

      if (checkedLabel) {
        result = _react2.default.createElement(
          _visibility.HideOnlyForScreenReader,
          null,
          _react2.default.createElement(
            CheckedLabel,
            null,
            checkedLabel
          )
        );
      }

      return result;
    }, _this.renderUncheckedLabel = function () {
      var uncheckedLabel = _this.props.uncheckedLabel;

      var result = null;

      if (uncheckedLabel) {
        result = _react2.default.createElement(
          _visibility.HideOnlyForScreenReader,
          null,
          _react2.default.createElement(
            UncheckedLabel,
            null,
            uncheckedLabel
          )
        );
      }

      return result;
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(Switch, [{
    key: 'render',
    value: function render() {
      var _props = this.props;
      var className = _props.className;
      var containerClassName = _props.containerClassName;
      var containerStyle = _props.containerStyle;
      var id = _props.id;
      var paddleClassName = _props.paddleClassName;
      var paddleStyle = _props.paddleStyle;

      return _react2.default.createElement(
        'div',
        { className: (0, _classnames2.default)(containerClassName, this.getClassNames()), style: containerStyle },
        _react2.default.createElement('input', (0, _extends3.default)({}, this.props, {
          className: (0, _classnames2.default)(className, this.getInputClassNames()),
          onChange: this.handleInputChange,
          ref: this.handleInputRef,
          size: null,
          type: 'checkbox'
        })),
        _react2.default.createElement(
          'label',
          {
            className: (0, _classnames2.default)(paddleClassName, this.getPaddleClassNames()),
            htmlFor: id,
            onClick: this.handleLabelClick,
            style: paddleStyle
          },
          this.renderPaddleLabel(),
          this.renderCheckedLabel(),
          this.renderUncheckedLabel()
        )
      );
    }
  }]);
  return Switch;
}(_react.Component);

Switch.propTypes = {
  checked: _react.PropTypes.bool,
  checkedLabel: _react2.default.PropTypes.node,
  className: _react.PropTypes.string,
  containerClassName: _react.PropTypes.string,
  containerStyle: _react.PropTypes.object, // eslint-disable-line react/forbid-prop-types
  id: _react.PropTypes.oneOfType([_react.PropTypes.string, _react.PropTypes.number]),
  onChange: _react.PropTypes.func,
  paddleClassName: _react.PropTypes.string,
  paddleLabel: _react2.default.PropTypes.node,
  paddleStyle: _react.PropTypes.object, // eslint-disable-line react/forbid-prop-types
  size: _react.PropTypes.oneOf(_constants.COMPONENT_SIZES),
  uncheckedLabel: _react2.default.PropTypes.node
};
exports.default = Switch;